9wm(1)

NAME
9wm - rio-like Window Manager for X

SYNOPSIS
9wm [ -border ] [ -cursor cursor ] [ -version ] [ -font fname ] [ -term termprog ] [ -active color ] [ -inactive color ] [ exit|restart ]

DESCRIPTION
9wm is a window manager for X which attempts to emulate the window management policies of Plan 9's rio window manager.

9wm is click-to-type: it has a notion of the current window, which is usually on top, and always has its border darkened. Characters typed at the keyboard go to the current window, and mouse clicks outside the current window are swallowed up by 9wm. To make another window the current one, click on it with button 1. Unlike other X window managers, 9wm implements `mouse focus': mouse events are sent only to the current window.

OPTIONS

-border
    Shrinks the size of window borders to be more like Plan9.

-cursor cursor
    Sets the cursor to one of two custom Plan9-style cursors: v1 or blit. Use this option for maximum authenticity.

-font fname
    Sets the font in 9wm's menu to fname, overriding the default.

-term termprog
    Specifies an alternative program to run when the New menu item is selected.

-active color
    Sets the color of the active window border, which defaults to black.

-inactive color
    Sets the color of the inactive window border, which defaults to white.

-version
    Prints the current version on standard error, then exits.

MENU

A menu of window operations is available by pressing button 3 outside the current window.

New attempts to spawn an xterm process (unless the -term argument is used).

All of the next operations change the cursor into a target, prompting the user to click button 3 on one of the windows to select it for the operation. At this stage, clicking button 1 or 2 will abort the operation.

Resize
    The user is prompted to sweep out the new outline with button 3.

Move
    The user should keep the button held down after the initial click that selected the window, and drag the window to the right place before releasing. In either case, button 1 or 2 will abort the operation.

Delete
    The window will be deleted when the button is released. This typically kills the client that owns the window.

Hide
    Makes the window invisible. While hidden, the window's name appears on the bottom of the button 3 menu. Selecting that item brings the window back (unhides it). This operation replaces the iconification feature provided by other window managers.

To make 9wm exit, you have to run 9wm exit on the command line. There is no ``exit'' menu item.

BUGS
Is not completely compatible with rio.

There is a currently a compiled-in limit of 32 hidden windows.

SEE ALSO
9term(1), xterm(1).